ContainerExitStatus (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: ContainerExitStatus

Package org.apache.hadoop.yarn.api.records

# Class ContainerExitStatus

java.lang.Object
org.apache.hadoop.yarn.api.records.ContainerExitStatus

@Public @Unstable public class ContainerExitStatus extends Object
Container exit statuses indicating special exit circumstances.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ABORTED`
  Containers killed by the framework, either due to being released by the application or being 'lost' due to node failures etc.
  `static final int`
  `DISKS_FAILED`
  When threshold number of the nodemanager-local-directories or threshold number of the nodemanager-log-directories become bad.
  `static final int`
  `INVALID`
  `static final int`
  `KILLED_AFTER_APP_COMPLETION`
  Container was terminated after the application finished.
  `static final int`
  `KILLED_BY_APPMASTER`
  Container was terminated by stop request by the app master.
  `static final int`
  `KILLED_BY_CONTAINER_SCHEDULER`
  Container was terminated by the ContainerScheduler to make room for another container...
  `static final int`
  `KILLED_BY_RESOURCEMANAGER`
  Container was terminated by the resource manager.
  `static final int`
  `KILLED_EXCEEDED_PMEM`
  Container terminated because of exceeding allocated physical memory.
  `static final int`
  `KILLED_EXCEEDED_VMEM`
  Container terminated because of exceeding allocated virtual memory.
  `static final int`
  `KILLED_FOR_EXCESS_LOGS`
  Container was terminated for generating excess log data.
  `static final int`
  `PREEMPTED`
  Containers preempted by the framework.
  `static final int`
  `SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainerExitStatus()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SUCCESS

    public static final int SUCCESS
    See Also:
      - Constant Field Values

  - ### INVALID

    public static final int INVALID
    See Also:
      - Constant Field Values

  - ### ABORTED

    public static final int ABORTED
    Containers killed by the framework, either due to being released by the application or being 'lost' due to node failures etc.
    See Also:
      - Constant Field Values

  - ### DISKS_FAILED

    public static final int DISKS_FAILED
    When threshold number of the nodemanager-local-directories or threshold number of the nodemanager-log-directories become bad.
    See Also:
      - Constant Field Values

  - ### PREEMPTED

    public static final int PREEMPTED
    Containers preempted by the framework.
    See Also:
      - Constant Field Values

  - ### KILLED_EXCEEDED_VMEM

    public static final int KILLED_EXCEEDED_VMEM
    Container terminated because of exceeding allocated virtual memory.
    See Also:
      - Constant Field Values

  - ### KILLED_EXCEEDED_PMEM

    public static final int KILLED_EXCEEDED_PMEM
    Container terminated because of exceeding allocated physical memory.
    See Also:
      - Constant Field Values

  - ### KILLED_BY_APPMASTER

    public static final int KILLED_BY_APPMASTER
    Container was terminated by stop request by the app master.
    See Also:
      - Constant Field Values

  - ### KILLED_BY_RESOURCEMANAGER

    public static final int KILLED_BY_RESOURCEMANAGER
    Container was terminated by the resource manager.
    See Also:
      - Constant Field Values

  - ### KILLED_AFTER_APP_COMPLETION

    public static final int KILLED_AFTER_APP_COMPLETION
    Container was terminated after the application finished.
    See Also:
      - Constant Field Values

  - ### KILLED_BY_CONTAINER_SCHEDULER

    public static final int KILLED_BY_CONTAINER_SCHEDULER
    Container was terminated by the ContainerScheduler to make room for another container...
    See Also:
      - Constant Field Values

  - ### KILLED_FOR_EXCESS_LOGS

    public static final int KILLED_FOR_EXCESS_LOGS
    Container was terminated for generating excess log data.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContainerExitStatus

    public ContainerExitStatus()